function deg=sex2deg(B)
%B is cell array +32:15:10.3
%deg is float array

n=numel(B);
deg=zeros(1,n);
for j=1:n
    b=split(B{j},':');
    d=char(b{1});
    sign=1-2*contains(d,'-');
    d=str2num(d);
    m=str2double(b{2}); 
    s=str2double(b{3});
    deg(j)=sign*(abs(d)+(m+s/60)/60);
end

end


